package com.bb.service;

import java.util.HashMap;
import java.util.List;

import org.codehaus.jettison.json.JSONObject;

import com.bb.model.Game;
import com.bb.model.GsoftApiInfo;

public interface GsoftService {

	JSONObject getBalanceUser(GsoftApiInfo apiInfo);
	
	JSONObject depositUser(GsoftApiInfo apiInfo, int amount);
	
	JSONObject withdrawUser(GsoftApiInfo apiInfo);
	
	List<Game> gameList(GsoftApiInfo apiInfo);

	String getComanyBalance(HashMap vendor);
}
